Subject: [PATCH 2/2] arm64: add KASan support

From: [email-masked] (Andrey Ryabinin)
Date: Mon, 20 Apr 2015 09:48:46 +0300

On 04/17/2015 09:39 PM, David Keitel wrote:
> On 04/15/2015 11:04 AM, Andrey Ryabinin wrote:
>> I've pushed the most fresh thing that I have in git:
>> 	git://github.com/aryabinin/linux.git kasan/arm64v1
>>
>> It's the same patches with two simple but important fixes on top of it.
> 
> Thanks, the two commits do fix compilation issues that I've had worked around to get to my mapping question.
> 
> I've addressed the mapping problem using __create_page_tables in arch/arm64/head.S as an example.
> 
> The next roadblock I hit was running into kasan_report_error calls in cgroups_early_init. After a short investigation it does seem to be a false positive due the the kasan_zero_page size and tracking bytes being reused for different memory regions.
> 
> I worked around that by enabling kasan error reporting only after the kasan_init is run. This let me get to the shell with some real KAsan reports along the way.

Reporting already disabled before kasan_init() and the last thing that kasan_init() is enable error reports.
So, how did you managed to get kasan's report before kasan_init()?

> There were some other fixes and hacks to get there. I'll backtrack to evaluate which ones warrant an RFC.
> 
>  - David
>